KMSACLs.Type (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.crypto.key.kms.server, class: KMSACLs, enum: Type

Package org.apache.hadoop.crypto.key.kms.server

# Enum Class KMSACLs.Type

java.lang.Object
java.lang.Enum<KMSACLs.Type>
org.apache.hadoop.crypto.key.kms.server.KMSACLs.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<KMSACLs.Type>`, `Constable`

Enclosing class:
  org.apache.hadoop.crypto.key.kms.server.KMSACLs

public static enum KMSACLs.Type extends Enum<KMSACLs.Type>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  `DECRYPT_EEK`
  `DELETE`
  `GENERATE_EEK`
  `GET`
  `GET_KEYS`
  `GET_METADATA`
  `ROLLOVER`
  `SET_KEY_MATERIAL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAclConfigKey()`
  `String`
  `getBlacklistConfigKey()`
  `static KMSACLs.Type`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KMSACLs.Type[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CREATE

    public static final KMSACLs.Type CREATE

  - ### DELETE

    public static final KMSACLs.Type DELETE

  - ### ROLLOVER

    public static final KMSACLs.Type ROLLOVER

  - ### GET

    public static final KMSACLs.Type GET

  - ### GET_KEYS

    public static final KMSACLs.Type GET_KEYS

  - ### GET_METADATA

    public static final KMSACLs.Type GET_METADATA

  - ### SET_KEY_MATERIAL

    public static final KMSACLs.Type SET_KEY_MATERIAL

  - ### GENERATE_EEK

    public static final KMSACLs.Type GENERATE_EEK

  - ### DECRYPT_EEK

    public static final KMSACLs.Type DECRYPT_EEK

- ## Method Details

  - ### values

    public static KMSACLs.Type[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static KMSACLs.Type valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAclConfigKey

    public String getAclConfigKey()

  - ### getBlacklistConfigKey

    public String getBlacklistConfigKey()